#include <iostream>
#include <vector>
#include <string>

using namespace std;

int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(0); cout.tie(0);

    int n, m;
    cin >> n >> m;
    vector<vector<char>> posedi(n+2, vector<char>(m+2, '.'));

    for(int i = 1; i < n+1; i++) {
        string unos;
        cin>>unos;
        for(int j = 1; j < m+1; j++) {
            char test = unos[j-1];
            posedi[i][j] = test;
        }
    }

    //pretraga
    int ograda = 0;
    for(int i = 1; i < n+1; i++) {
        for(int j = 1; j < m+1; j++) {
            if(posedi[i][j] == '.'){
                continue;
            }
            if(posedi[i-1][j] == '.') ograda++;
            if(posedi[i+1][j] == '.') ograda++;
            if(posedi[i][j+1] == '.') ograda++;
            if(posedi[i][j-1] == '.') ograda++;
        }
    }

    cout<<ograda;

    return 0;
}